跳转到内容

Vidu · Q3 · Reference to Video · Mix

集成

模型 id vidu/q3/reference-to-video/mix
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/vidu/q3/reference-to-video/mix?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: $0.77 770 API 积分 · ≈ ₽82.84 在此页面运行

获取 API 密钥
Vidu 参考图生视频 参考输入1–16 秒最高 1080p

Q3 参考图生视频,支持 1-4 张参考图、五种画幅比例、最长 16 秒并带音频

Vidu · 视频

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填 88 / 2000

用于生成视频的文本指令,限制为 2000 个字符。

•必填 reference_image_urls
拖放文件,或

主体或场景一致性参考,通过图像 URL 提供,数量为 1 到 4 张。

aspect_ratio 默认 16:9

输出视频的宽高比。

resolution 默认 720p

生成视频的分辨率。

默认 5

视频时长,单位为秒;Q3 模型支持 1 到 16 秒。

高级 seed · audio

使生成结果可复现的种子。设置为 None 时会随机选择种子。

POST /run/vidu/q3/reference-to-video/mix?wait=20 报价 → $0.77
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/vidu/q3/reference-to-video/mix?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Vidu · Q3 · Reference to Video · Mix

根据必需的 `prompt`(最多 2000 个字符)和 1 到 4 个用于保持主体或场景一致的 `reference_image_urls` 构建视频。`duration` 为 1-16 秒,`resolution` 为 360p 至 1080p,`aspect_ratio` 为 16:9、9:16、4:3、3:4 或 1:1。`audio` 默认开启。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
prompt必填
类型string
≤ 2,000 个字符
用于生成视频的文本指令,限制为 2000 个字符。
reference_image_urls必填 images
类型url[] · image
主体或场景一致性参考,通过图像 URL 提供,数量为 1 到 4 张。
duration可选
类型integer
默认值5
1 – 16
视频时长,单位为秒;Q3 模型支持 1 到 16 秒。
seed可选
类型integer | null
使生成结果可复现的种子。设置为 None 时会随机选择种子。
aspect_ratio可选
类型enum
默认值16:9
16:99:164:33:41:1
输出视频的宽高比。
resolution可选
类型enum
默认值720p
360p540p720p1080p
生成视频的分辨率。
audio可选
类型boolean
默认值true
将此项设为 true,即可通过直接音视频生成在视频中同时生成声音。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "vidu/q3/reference-to-video/mix",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 770,
    "usd": "0.77",
    "charged": 770,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "reference_image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
video
object {url, content_type, file_name, file_size}Q3 模型使用参考图像生成的视频。

更多模型:参考图生视频

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/vidu/q3/reference-to-video/mix.md. 所有模型和指南: https://doitong.com/developers/llms.txt